gnutls_rnd(3)

NAME
gnutls_rnd - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_rnd(gnutls_rnd_level_t level, void * data, size_t len);

ARGUMENTS

gnutls_rnd_level_t level
    a security level

void * data
    place to store random bytes

size_t len
    The requested size

DESCRIPTION
This function will generate random data and store it to output buffer.

RETURNS
Zero or a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.